package com.qmth.themis.business.dto;

import com.qmth.themis.business.annotation.ExcelNote;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Objects;

/**
 * @Description: 考生导入dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/15
 */
public class ExamStudentImportDto implements Serializable {

    @NotNull
    @ExcelNote(value = "姓名")
    private String name; //姓名

    @NotNull
    @ExcelNote(value = "证件号")
    private String identity; //证件号

    @NotNull
    @ExcelNote(value = "科目代码")
    private String courseCode; //科目代码

    @NotNull
    @ExcelNote(value = "科目名称")
    private String courseName; //科目名称

    @ExcelNote(value = "年级")
    private String grade; //年级

    @ExcelNote(value = "班级")
    private String classNo; //班级

    @ExcelNote(value = "密码")
    private String password; //密码

    @ExcelNote(value = "联系电话")
    private String mobileNumber;

    @NotNull
    @ExcelNote(value = "场次")
    private String examActivityCode; //场次

    @NotNull
    @ExcelNote(value = "考场代码")
    private String roomCode; //考场代码

    @NotNull
    @ExcelNote(value = "考场名称")
    private String roomName; //考场名称

    public String getPassword() {
        return Objects.nonNull(password) ? password.trim() : password;
    }

    public String getMobileNumber() {
        return mobileNumber;
    }

    public void setMobileNumber(String mobileNumber) {
        this.mobileNumber = mobileNumber;
    }

    public void setPassword(String password) {
        this.password = Objects.nonNull(password) ? password.trim() : password;
    }

    public String getName() {
        return Objects.nonNull(name) ? name.trim() : name;
    }

    public void setName(String name) {
        this.name = Objects.nonNull(name) ? name.trim() : name;
    }

    public String getIdentity() {
        return Objects.nonNull(identity) ? identity.trim() : identity;
    }

    public void setIdentity(String identity) {
        this.identity = Objects.nonNull(identity) ? identity.trim() : identity;
    }

    public String getCourseCode() {
        return Objects.nonNull(courseCode) ? courseCode.trim() : courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = Objects.nonNull(courseCode) ? courseCode.trim() : courseCode;
    }

    public String getCourseName() {
        return Objects.nonNull(courseName) ? courseName.trim() : courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = Objects.nonNull(courseName) ? courseName.trim() : courseName;
    }

    public String getGrade() {
        return Objects.nonNull(grade) ? grade.trim() : grade;
    }

    public void setGrade(String grade) {
        this.grade = Objects.nonNull(grade) ? grade.trim() : grade;
    }

    public String getClassNo() {
        return Objects.nonNull(classNo) ? classNo.trim() : classNo;
    }

    public void setClassNo(String classNo) {
        this.classNo = Objects.nonNull(classNo) ? classNo.trim() : classNo;
    }

    public String getExamActivityCode() {
        return Objects.nonNull(examActivityCode) ? examActivityCode.trim() : examActivityCode;
    }

    public void setExamActivityCode(String examActivityCode) {
        this.examActivityCode = Objects.nonNull(examActivityCode) ? examActivityCode.trim() : examActivityCode;
    }

    public String getRoomCode() {
        return Objects.nonNull(roomCode) ? roomCode.trim() : roomCode;
    }

    public void setRoomCode(String roomCode) {
        this.roomCode = Objects.nonNull(roomCode) ? roomCode.trim() : roomCode;
    }

    public String getRoomName() {
        return Objects.nonNull(roomName) ? roomName.trim() : roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = Objects.nonNull(roomName) ? roomName.trim() : roomName;
    }
}
